;
; Breaks the CT compatibility for F8, F9, F10 and F12 (keeps F11)
; and sends Alt-C then F1, F2, F3 and F4 instead
;
; DISCLAIMER : Use at your own risk
;
; (C) Laurent Haas F6FVY - Nov 2007

#NoEnv					; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input				; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%		; Ensures a consistent starting directory.

; Function to send Alt-c, wait for the additional msg wnd to appear,
; and send the specified function key in parameter

SendAltCAndFKey(fKey)
{
  Send !c				; Send Alt-C
  SetTitleMatchMode, RegEx		; Used for the next test
  WinWaitActive messages|Speicher,, 2	; Waits for the additional msgs dialog (timeout 2 sec.)
  if (ErrorLevel = 0)
    Send {%fKey%}			; Send the function key
}

; Send keys "itself" - See http://www.autohotkey.com/docs/FAQ.htm#HotPrefix (win9x compatibility)

$F8::Send {F8}
$F9::Send {F9}
$F10::Send {F10}
$F12::Send {F12}

#IfWinActive, WT			; Makes the following hotkeys active only in WT wnd
F8::SendAltCAndFKey("F1")		; F8 = Alt-C + F1
F9::SendAltCAndFKey("F2")		; F9 = Alt-C + F2
F10::SendAltCAndFKey("F3")		; F10 = Alt-C + F3
F12::SendAltCAndFKey("F4")		; F12 = Alt-C + F4
